*******************************************************************
**  PUBLIC.SAS will read the Poland Public Use data file.        **
**                                                               **
**  March 31, 1998 :  Kris Kracker and Ken Kline                 **
*******************************************************************;

libname poland 'dra1:[poland]';

  
data public;
  infile "dra1:[poland]poland.dat" lrecl=296 recfm=f;
    input @1 rectype $1. @;
      if rectype='B' then do;
        input   @1 rectype $1.
                @2 voivod 1.
                @3 id 11.
               @14 program1 1.
               @15 alp 1.
               @16 reg1 2.
               @18 reg2 3.
               @21 regdte ddmmyy6.
               @27 firstdte ddmmyy6.
               @33 birthdte ddmmyy6.
               @39 sex 1.
               @40 educ 1.
               @41 priorsit $1.
               @42 earn1 4.
               @46 earn2 $1.
               @47 lastwork 1.
               @48 jobcode 3.
               @51 disable 1.
               @52 zuslevel 1.
               @53 esreg 1.
               @54 unem0194 1.
               @55 unem0294 1.
               @56 unem0394 1.
               @57 unem0494 1.
               @58 unem0594 1.
               @59 unem0694 1.
               @60 unem0794 1.
               @61 unem0894 1.
               @62 unem0994 1.
               @63 unem1094 1.
               @64 unem1194 1.
               @65 unem1294 1.
               @66 unem0195 1.
               @67 unem0295 1.
               @68 unem0395 1.
               @69 unem0495 1.
               @70 unem0595 1.
               @71 unem0695 1.
               @72 unem0795 1.
               @73 unem0895 1.
               @74 unem0995 1.
               @75 unem1095 1.
               @76 unem1195 1.
               @77 unem1295 1.
               @78 unem0196 1.
               @79 unem0296 1.
               @80 unem0396 1.
               @81 unem0496 1.
               @82 unem0596 1.
               @83 unem0696 1.
               @84 unem0796 1.
               @85 unem0896 1.
               @86 unem0996 1.
               @87 unem1096 1.
               @88 unem1196 1.
               @89 unem1296 1.
               @90 inter 1.
               @91 program $1.
               @92 compay2 3.
               @95 compay3 1.
               @96 compay4 ddmmyy6.
              @102 compay5 ddmmyy6.
              @108 compay6 1.
              @109 ucjan94 1.
              @110 ucnow 1.
              @111 workep 3.
              @114 reason 1.
              @115 employed $1.
              @116 pubemp $1.
              @117 service1 1.
              @118 service2 1.
              @119 service3 1.
              @120 service4 1.
              @121 service5 1.
              @122 service6 1.
              @123 service7 1.
              @124 firstjob ddmmyy6.
              @130 jobdesc $1.
              @131 empnow $1.
              @132 main0195 $1.
              @133 main0295 $1.
              @134 main0395 $1.
              @135 main0495 $1.
              @136 main0595 $1.
              @137 main0695 $1.
              @138 main0795 $1.
              @139 main0895 $1.
              @140 main0995 $1.
              @141 main1095 $1.
              @142 main1195 $1.
              @143 main1295 $1.
              @144 main0196 $1.
              @145 main0296 $1.
              @146 main0396 $1.
              @147 main0496 $1.
              @148 main0596 $1.
              @149 main0696 $1.
              @150 main0796 $1.
              @151 main0896 $1.
              @152 main0996 $1.
              @153 main1096 $1.
              @154 main1196 $1.
              @155 main1296 $1.
              @156 earn1 4.
              @160 earn2 $1.
              @161 earn3 4.
              @165 earn4 $1.
              @166 notwhy $1.
              @167 benefits $1.
              @168 hhsize 1.
              @169 spouse $1.
              @170 spousemp $1.
              @171 otheremp 1.
              @172 depend1 1.
              @173 depend2 1.
              @174 lookwork 1.
              @175 earn5 4.
              @179 earn6 $1.
              @180 compdate ddmmyy6.
              @186 empnorm 1.
              @187 empany 1.
              @188 empnown 1.
              @189 empnowa 1.
              @190 earnnow 4.
              @194 emmonths 2.
              @196 unmonths 2.
              @198 ucmonths 2.
              @200 ucpay 6.
              @206 durreg 2.
              @208 duralp 2.
              @210 regdte2 ddmmyy6.
              @216 alpend ddmmyy6.
              @222 duration 2.
              @224 male 1.
              @225 female 1.
              @226 age 2.
              @228 agelt30 1.
              @229 age3044 1.
              @230 agege45 1.
              @231 edelem 1.
              @232 edvoc 1.
              @233 edvoc1 1.
              @234 edvoc2 1.
              @235 edgym 1.
              @236 edcoll 1.
              @237 whitecol 1.
              @238 bluecol 1.
              @239 otherocc 1.
              @240 volun 1.
              @241 nonvol 1.
              @242 ltu 1.
              @243 nonltu 1.
              @244 exp0 1.
              @245 exple3 1.
              @246 expgt3 1.
              @247 exp3t10 1.
              @248 expgt10 1.
              @249 physdis 1.
              @250 occmgr 1.
              @251 occprof 1.
              @252 occtech 1.
              @253 occserve 1.
              @254 occskill 1.
              @255 occunskl 1.
              @256 occclerk 1.
              @257 earnpre1 4.
              @261 es 1.
              @262 hiurate 1.
              @263 lowurate 1.
              @264 gorzow 1.
              @265 konin 1.
              @266 lublin 1.
              @267 katowice 1.
              @268 krakow 1.
              @269 olsztyn 1.
              @270 poznan 1.
              @271 radom 1.;
      end;
      else if rectype='C' then do;
        input   @1 rectype $1.
                @2 voivod 1.
                @3 id 11.
               @14 program1 1.
               @15 alp 1.
               @16 reg1 2.
               @18 reg2 3.
               @21 regdte ddmmyy6.
               @27 firstdte ddmmyy6.
               @33 birthdte ddmmyy6.
               @39 sex 1.
               @40 educ 1.
               @41 priorsit $1.
               @42 earn1 4.
               @46 earn2 $1.
               @47 lastwork 1.
               @48 jobcode 3.
               @51 disable 1.
               @52 zuslevel 1.
               @53 esreg 1.
               @54 unem0194 1.
               @55 unem0294 1.
               @56 unem0394 1.
               @57 unem0494 1.
               @58 unem0594 1.
               @59 unem0694 1.
               @60 unem0794 1.
               @61 unem0894 1.
               @62 unem0994 1.
               @63 unem1094 1.
               @64 unem1194 1.
               @65 unem1294 1.
               @66 unem0195 1.
               @67 unem0295 1.
               @68 unem0395 1.
               @69 unem0495 1.
               @70 unem0595 1.
               @71 unem0695 1.
               @72 unem0795 1.
               @73 unem0895 1.
               @74 unem0995 1.
               @75 unem1095 1.
               @76 unem1195 1.
               @77 unem1295 1.
               @78 unem0196 1.
               @79 unem0296 1.
               @80 unem0396 1.
               @81 unem0496 1.
               @82 unem0596 1.
               @83 unem0696 1.
               @84 unem0796 1.
               @85 unem0896 1.
               @86 unem0996 1.
               @87 unem1096 1.
               @88 unem1196 1.
               @89 unem1296 1.
               @90 inter 1.
               @91 program $1.
               @92 compay2 3.
               @95 compay3 1.
               @96 compay4 ddmmyy6.
              @102 compay5 ddmmyy6.
              @108 compay6 1.
              @109 ucjan94 1.
              @110 ucnow 1.
              @111 workep 3.
              @114 reason 1.
              @115 leavedte ddmmyy6.
              @121 newjob_t $1.
              @122 pubemp $1.
              @123 service1 1.
              @124 service2 1.
              @125 service3 1.
              @126 service4 1.
              @127 service5 1.
              @128 service6 1.
              @129 service7 1.
              @130 firstjob ddmmyy6.
              @136 jobdesc $1.
              @137 skvalue $1.
              @138 empnow $1.
              @139 main0195 $1.
              @140 main0295 $1.
              @141 main0395 $1.
              @142 main0495 $1.
              @143 main0595 $1.
              @144 main0695 $1.
              @145 main0795 $1.
              @146 main0895 $1.
              @147 main0995 $1.
              @148 main1095 $1.
              @149 main1195 $1.
              @150 main1295 $1.
              @151 main0196 $1.
              @152 main0296 $1.
              @153 main0396 $1.
              @154 main0496 $1.
              @155 main0596 $1.
              @156 main0696 $1.
              @157 main0796 $1.
              @158 main0896 $1.
              @159 main0996 $1.
              @160 main1096 $1.
              @161 main1196 $1.
              @162 main1296 $1.
              @163 earn1 4.
              @167 earn2 $1.
              @168 earn3 4.
              @172 earn4 $1.
              @173 notwhy $1.
              @174 benefits $1.
              @175 hhsize 1.
              @176 spouse $1.
              @177 spousemp $1.
              @178 otheremp 1.
              @179 depend1 1.
              @180 depend2 1.
              @181 lookwork 1.
              @182 earn5 4.
              @186 earn6 $1.
              @187 compdate ddmmyy6.
              @193 empnorm 1.
              @194 empany 1.
              @195 empnown 1.
              @196 empnowa 1.
              @197 earnnow 4.
              @201 emmonths 2.
              @203 unmonths 2.
              @205 ucmonths 2.
              @207 ucpay 6.
              @213 durreg 2.
              @215 duralp 2.
              @217 regdte2 ddmmyy6.
              @223 alpend ddmmyy6.
              @229 duration 2.
              @231 male 1.
              @232 female 1.
              @233 age 2.
              @235 agelt30 1.
              @236 age3044 1.
              @237 agege45 1.
              @238 edelem 1.
              @239 edvoc 1.
              @240 edvoc1 1.
              @241 edvoc2 1.
              @242 edgym 1.
              @243 edcoll 1.
              @244 whitecol 1.
              @245 bluecol 1.
              @246 otherocc 1.
              @247 volun 1.
              @248 nonvol 1.
              @249 ltu 1.
              @250 nonltu 1.
              @251 exp0 1.
              @252 exple3 1.
              @253 expgt3 1.
              @254 physdis 1.
              @255 occmgr 1.
              @256 occprof 1.
              @257 occtech 1.
              @258 occserve 1.
              @259 occskill 1.
              @260 occunskl 1.
              @261 occclerk 1.
              @262 earnpre1 4.
              @266 es 1.
              @267 hiurate 1.
              @268 lowurate 1.
              @269 gorzow 1.
              @270 konin 1.
              @271 lublin 1.
              @272 katowice 1.
              @273 krakow 1.
              @274 olsztyn 1.
              @275 poznan 1.
              @276 radom 1.
              @277 adulted 1.
              @278 organ 1.
              @279 other 1.
              @280 public 1.
              @281 private 1.;
      end;            
      else if rectype='D' then do;
        input   @1 rectype $1.
                @2 voivod 1.
                @3 id 11.
               @14 program1 1.
               @15 alp 1.
               @16 reg1 2.
               @18 reg2 3.
               @21 regdte ddmmyy6.
               @27 firstdte ddmmyy6.
               @33 birthdte ddmmyy6.
               @39 sex 1.
               @40 educ 1.
               @41 priorsit $1.
               @42 earn1 4.
               @46 earn2 $1.
               @47 lastwork 1.
               @48 jobcode 3.
               @51 disable 1.
               @52 zuslevel 1.
               @53 esreg 1.
               @54 unem0194 1.
               @55 unem0294 1.
               @56 unem0394 1.
               @57 unem0494 1.
               @58 unem0594 1.
               @59 unem0694 1.
               @60 unem0794 1.
               @61 unem0894 1.
               @62 unem0994 1.
               @63 unem1094 1.
               @64 unem1194 1.
               @65 unem1294 1.
               @66 unem0195 1.
               @67 unem0295 1.
               @68 unem0395 1.
               @69 unem0495 1.
               @70 unem0595 1.
               @71 unem0695 1.
               @72 unem0795 1.
               @73 unem0895 1.
               @74 unem0995 1.
               @75 unem1095 1.
               @76 unem1195 1.
               @77 unem1295 1.
               @78 unem0196 1.
               @79 unem0296 1.
               @80 unem0396 1.
               @81 unem0496 1.
               @82 unem0596 1.
               @83 unem0696 1.
               @84 unem0796 1.
               @85 unem0896 1.
               @86 unem0996 1.
               @87 unem1096 1.
               @88 unem1196 1.
               @89 unem1296 1.
               @90 inter 1.
               @91 program $1.
               @92 compay2 3.
               @95 compay3 1.
               @96 compay4 ddmmyy6.
              @102 compay5 ddmmyy6.
              @108 compay6 1.
              @109 ucjan94 1.
              @110 ucnow 1.
              @111 workep 3.
              @114 reason 1.
              @115 leavedte ddmmyy6.
              @121 empdate ddmmyy6.
              @127 main0195 $1.
              @128 main0295 $1.
              @129 main0395 $1.
              @130 main0495 $1.
              @131 main0595 $1.
              @132 main0695 $1.
              @133 main0795 $1.
              @134 main0895 $1.
              @135 main0995 $1.
              @136 main1095 $1.
              @137 main1195 $1.
              @138 main1295 $1.
              @139 main0196 $1.
              @140 main0296 $1.
              @141 main0396 $1.
              @142 main0496 $1.
              @143 main0596 $1.
              @144 main0696 $1.
              @145 main0796 $1.
              @146 main0896 $1.
              @147 main0996 $1.
              @148 main1096 $1.
              @149 main1196 $1.
              @150 main1296 $1.
              @151 emppub $1.
              @152 retain $1.
              @153 stillemp $1.
              @154 earning1 4.
              @158 earning2 $1.
              @159 newjob $1.
              @160 firstjob ddmmyy6.
              @166 pubemp $1.
              @167 service1 1.
              @168 service2 1.
              @169 service3 1.
              @170 service4 1.
              @171 service5 1.
              @172 service6 1.
              @173 service7 1.
              @174 empnow $1.
              @175 earn1 4.
              @179 earn2 $1.
              @180 earn3 4.
              @184 earn4 $1.
              @185 notwhy $1.
              @186 benefits $1.
              @187 hhsize 1.
              @188 spouse $1.
              @189 spousemp $1.
              @190 otheremp 1.
              @191 depend1 1.
              @192 depend2 1.
              @193 lookwork 1.
              @194 earn5 4.
              @198 earn6 $1.
              @199 compdate ddmmyy6.
              @205 empnorm 1.
              @206 empany 1.
              @207 empnown 1.
              @208 empnowa 1.
              @209 earnnow 4.
              @213 emmonths 2.
              @215 unmonths 2.
              @217 ucmonths 2.
              @219 ucpay 6.
              @225 durreg 2.
              @227 duralp 2.
              @229 regdte2 ddmmyy6.
              @235 alpend ddmmyy6.
              @241 duration 2.
              @243 male 1.
              @244 female 1.
              @245 age 2.
              @247 agelt30 1.
              @248 age3044 1.
              @249 agege45 1.
              @250 edelem 1.
              @251 edvoc 1.
              @252 edvoc1 1.
              @253 edvoc2 1.
              @254 edgym 1.
              @255 edcoll 1.
              @256 whitecol 1.
              @257 bluecol 1.
              @258 otherocc 1.
              @259 volun 1.
              @260 nonvol 1.
              @261 ltu 1.
              @262 nonltu 1.
              @263 exp0 1.
              @264 exple3 1.
              @265 exp3t10 1.
              @266 expgt10 1.
              @267 physdis 1.
              @268 occmgr 1.
              @269 occprof 1.
              @270 occtech 1.
              @271 occserve 1.
              @272 occskill 1.
              @273 occunskl 1.
              @274 occclerk 1.
              @275 earnpre1 4.
              @279 es 1.
              @280 hiurate 1.
              @281 lowurate 1.
              @282 gorzow 1.
              @283 konin 1.
              @284 lublin 1.
              @285 katowice 1.
              @286 krakow 1.
              @287 olsztyn 1.
              @288 poznan 1.
              @289 radom 1.
              @290 natadmin 1.
              @291 other 1.
              @292 public 1.
              @293 private 1.;
      end;
      else if rectype='E' then do;
        input   @1 rectype $1.
                @2 voivod 1.
                @3 id 11.
               @14 program1 1.
               @15 alp 1.
               @16 reg1 2.
               @18 reg2 3.
               @21 regdte ddmmyy6.
               @27 firstdte ddmmyy6.
               @33 birthdte ddmmyy6.
               @39 sex 1.
               @40 educ 1.
               @41 priorsit $1.
               @42 earn1 4.
               @46 earn2 $1.
               @47 lastwork 1.
               @48 jobcode 3.
               @51 disable 1.
               @52 zuslevel 1.
               @53 esreg 1.
               @54 unem0194 1.
               @55 unem0294 1.
               @56 unem0394 1.
               @57 unem0494 1.
               @58 unem0594 1.
               @59 unem0694 1.
               @60 unem0794 1.
               @61 unem0894 1.
               @62 unem0994 1.
               @63 unem1094 1.
               @64 unem1194 1.
               @65 unem1294 1.
               @66 unem0195 1.
               @67 unem0295 1.
               @68 unem0395 1.
               @69 unem0495 1.
               @70 unem0595 1.
               @71 unem0695 1.
               @72 unem0795 1.
               @73 unem0895 1.
               @74 unem0995 1.
               @75 unem1095 1.
               @76 unem1195 1.
               @77 unem1295 1.
               @78 unem0196 1.
               @79 unem0296 1.
               @80 unem0396 1.
               @81 unem0496 1.
               @82 unem0596 1.
               @83 unem0696 1.
               @84 unem0796 1.
               @85 unem0896 1.
               @86 unem0996 1.
               @87 unem1096 1.
               @88 unem1196 1.
               @89 unem1296 1.
               @90 inter 1.
               @91 program $1.
               @92 compay2 3.
               @95 compay3 1.
               @96 compay4 ddmmyy6.
              @102 compay5 ddmmyy6.
              @108 compay6 1.
              @109 ucjan94 1.
              @110 ucnow 1.
              @111 workep 3.
              @114 reason 1.
              @115 leavedte ddmmyy6.
              @121 empdate ddmmyy6.
              @127 main0195 $1.
              @128 main0295 $1.
              @129 main0395 $1.
              @130 main0495 $1.
              @131 main0595 $1.
              @132 main0695 $1.
              @133 main0795 $1.
              @134 main0895 $1.
              @135 main0995 $1.
              @136 main1095 $1.
              @137 main1195 $1.
              @138 main1295 $1.
              @139 main0196 $1.
              @140 main0296 $1.
              @141 main0396 $1.
              @142 main0496 $1.
              @143 main0596 $1.
              @144 main0696 $1.
              @145 main0796 $1.
              @146 main0896 $1.
              @147 main0996 $1.
              @148 main1096 $1.
              @149 main1196 $1.
              @150 main1296 $1.
              @151 empiw $1.
              @152 retain $1.
              @153 stillemp $1.
              @154 earning1 4.
              @158 earning2 $1.
              @159 newjob $1.
              @160 firstjob ddmmyy6.
              @166 pubemp $1.
              @167 service1 1.
              @168 service2 1.
              @169 service3 1.
              @170 service4 1.
              @171 service5 1.
              @172 service6 1.
              @173 service7 1.
              @174 empnow $1.
              @175 earn1 4.
              @179 earn2 $1.
              @180 earn3 4.
              @184 earn4 $1.
              @185 notwhy $1.
              @186 benefits $1.
              @187 hhsize 1.
              @188 spouse $1.
              @189 spousemp $1.
              @190 otheremp 1.
              @191 depend1 1.
              @192 depend2 1.
              @193 lookwork 1.
              @194 earn5 4.
              @198 earn6 $1.
              @199 compdate ddmmyy6.
              @205 empnorm 1.
              @206 empany 1.
              @207 empnown 1.
              @208 empnowa 1.
              @209 earnnow 4.
              @213 emmonths 2.
              @215 unmonths 2.
              @217 ucmonths 2.
              @219 ucpay 6.
              @225 durreg 2.
              @227 duralp 2.
              @229 regdte2 ddmmyy6.
              @235 alpend ddmmyy6.
              @241 duration 2.
              @243 male 1.
              @244 female 1.
              @245 age 2.
              @247 agelt30 1.
              @248 age3044 1.
              @249 agege45 1.
              @250 edelem 1.
              @251 edvoc 1.
              @252 edvoc1 1.
              @253 edvoc2 1.
              @254 edgym 1.
              @255 edcoll 1.
              @256 whitecol 1.
              @257 bluecol 1.
              @258 otherocc 1.
              @259 volun 1.
              @260 nonvol 1.
              @261 ltu 1.
              @262 nonltu 1.
              @263 exp0 1.
              @264 exple3 1.
              @265 expgt3 1.
              @266 physdis 1.
              @267 occmgr 1.
              @268 occprof 1.
              @269 occtech 1.
              @270 occserve 1.
              @271 occskill 1.
              @272 occunskl 1.
              @273 occclerk 1.
              @274 earnpre1 4.
              @278 es 1.
              @279 hiurate 1.
              @280 lowurate 1.
              @281 gorzow 1.
              @282 konin 1.
              @283 lublin 1.
              @284 katowice 1.
              @285 krakow 1.
              @286 olsztyn 1.
              @287 poznan 1.
              @288 radom 1.
              @289 natadmin 1.
              @290 activity 1.
              @291 other 1.
              @292 public 1.
              @293 private 1.;
      end;
      else if rectype='F' then do;
        input   @1 rectype $1.
                @2 voivod 1.
                @3 id 11.
               @14 program1 1.
               @15 alp 1.
               @16 reg1 2.
               @18 reg2 3.
               @21 regdte ddmmyy6.
               @27 firstdte ddmmyy6.
               @33 birthdte ddmmyy6.
               @39 sex 1.
               @40 educ 1.
               @41 priorsit $1.
               @42 earn1 4.
               @46 earn2 $1.
               @47 lastwork 1.
               @48 jobcode 3.
               @51 disable 1.
               @52 zuslevel 1.
               @53 esreg 1.
               @54 unem0194 1.
               @55 unem0294 1.
               @56 unem0394 1.
               @57 unem0494 1.
               @58 unem0594 1.
               @59 unem0694 1.
               @60 unem0794 1.
               @61 unem0894 1.
               @62 unem0994 1.
               @63 unem1094 1.
               @64 unem1194 1.
               @65 unem1294 1.
               @66 unem0195 1.
               @67 unem0295 1.
               @68 unem0395 1.
               @69 unem0495 1.
               @70 unem0595 1.
               @71 unem0695 1.
               @72 unem0795 1.
               @73 unem0895 1.
               @74 unem0995 1.
               @75 unem1095 1.
               @76 unem1195 1.
               @77 unem1295 1.
               @78 unem0196 1.
               @79 unem0296 1.
               @80 unem0396 1.
               @81 unem0496 1.
               @82 unem0596 1.
               @83 unem0696 1.
               @84 unem0796 1.
               @85 unem0896 1.
               @86 unem0996 1.
               @87 unem1096 1.
               @88 unem1196 1.
               @89 unem1296 1.
               @90 inter 1.
               @91 program $1.
               @92 compay2 3.
               @95 compay3 1.
               @96 compay4 ddmmyy6.
              @102 compay5 ddmmyy6.
              @108 compay6 1.
              @109 ucjan94 1.
              @110 ucnow 1.
              @111 workep 3.
              @114 reason 1.
              @115 loandate ddmmyy6.
              @121 empstart ddmmyy6.
              @127 continue $1.
              @128 same $1.
              @129 employ1 $1.
              @130 employ2 2.
              @132 employ3 2.
              @134 ownmoney $1.
              @135 prospect $1.
              @136 prospct2 3.
              @139 value $1.
              @140 started1 $1.
              @141 started2 $1.
              @142 main0195 $1.
              @143 main0295 $1.
              @144 main0395 $1.
              @145 main0495 $1.
              @146 main0595 $1.
              @147 main0695 $1.
              @148 main0795 $1.
              @149 main0895 $1.
              @150 main0995 $1.
              @151 main1095 $1.
              @152 main1195 $1.
              @153 main1295 $1.
              @154 main0196 $1.
              @155 main0296 $1.
              @156 main0396 $1.
              @157 main0496 $1.
              @158 main0596 $1.
              @159 main0696 $1.
              @160 main0796 $1.
              @161 main0896 $1.
              @162 main0996 $1.
              @163 main1096 $1.
              @164 main1196 $1.
              @165 main1296 $1.
              @166 service1 1.
              @167 service2 1.
              @168 service3 1.
              @169 service4 1.
              @170 service5 1.
              @171 service6 1.
              @172 service7 1.
              @173 pubemp $1.
              @174 earn1 4.
              @178 earn2 $1.
              @179 earn3 4.
              @183 earn4 $1.
              @184 notwhy $1.
              @185 benefits $1.
              @186 hhsize 1.
              @187 spouse $1.
              @188 spousemp $1.
              @189 otheremp 1.
              @190 depend1 1.
              @191 depend2 1.
              @192 lookwork 1.
              @193 earn5 4.
              @197 earn6 $1.
              @198 compdate ddmmyy6.
              @204 empnorm 1.
              @205 empany 1.
              @206 empnown 1.
              @207 empnowa 1.
              @208 earnnow 4.
              @212 emmonths 2.
              @214 unmonths 2.
              @216 ucmonths 2.
              @218 ucpay 6.
              @224 regdte2 ddmmyy6.
              @230 selfend ddmmyy6.
              @236 duration 2.
              @238 loanpay 2.
              @240 male 1.
              @241 female 1.
              @242 age 2.
              @244 agelt30 1.
              @245 age3044 1.
              @246 agege45 1.
              @247 edelem 1.
              @248 edvoc 1.
              @249 edvoc1 1.
              @250 edvoc2 1.
              @251 edgym 1.
              @252 edcoll 1.
              @253 whitecol 1.
              @254 bluecol 1.
              @255 otherocc 1.
              @256 volun 1.
              @257 nonvol 1.
              @258 ltu 1.
              @259 nonltu 1.
              @260 u_se 1.
              @261 nonu_se 1.
              @262 exp0 1.
              @263 exple3 1.
              @264 exp3t10 1.
              @265 expgt10 1.
              @266 physdis 1.
              @267 occmgr 1.
              @268 occprof 1.
              @269 occtech 1.
              @270 occserve 1.
              @271 occskill 1.
              @272 occunskl 1.
              @273 occclerk 1.
              @274 earnpre1 4.
              @278 es 1.
              @279 hiurate 1.
              @280 lowurate 1.
              @281 gorzow 1.
              @282 konin 1.
              @283 lublin 1.
              @284 katowice 1.
              @285 krakow 1.
              @286 olsztyn 1.
              @287 poznan 1.
              @288 radom 1.
              @289 natadmin 1.
              @290 other 1.
              @291 missing 1.
              @292 services 1.
              @293 trade 1.
              @294 manu 1.
              @295 public 1.
              @296 private 1.;
      end;
   

data temp1;
  set public;
    if rectype='B';

  proc freq data=temp1;
    tables rectype voivod program1 alp reg1 reg2 sex educ priorsit earn2 
          lastwork jobcode disable zuslevel esreg unem0194 unem0294 
           unem0395 unem1296 inter program compay2 compay3 compay6 
           ucjan94 ucnow reason;
    title 'Rectype B, Registry Variables';
 

  proc freq data=temp1;
    tables employed pubemp service1 service2 service3 service4 service5 
           service6 service7 jobdesc empnow main1296 earn2 earn4 notwhy 
           benefits hhsize spouse spousemp otheremp depend1 depend2 
           lookwork earn6;
    title 'Rectype B, Survey Variables';

  proc means data=temp1;
    title1 "RECTYPE B: Survey Continuous Variables";
    var earn1 earn3 hhsize otheremp depend1 depend2 lookwork earn5;

  proc freq data=temp1;
    tables empnorm empany empnown empnowa unmonths emmonths 
           ucmonths durreg duralp; 
    title 'Rectype B, Outcome Variables';

  proc means data=temp1;
    var empnorm empany empnown empnowa earnnow emmonths unmonths
        ucmonths ucpay durreg duralp; 
    title 'Rectype B, Outcome Variables';

  proc freq data=temp1;
    tables duration male female age agelt30 age3044 agege45 edelem edvoc edvoc1 
           edvoc2 
           edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu 
           exp0 exple3 expgt3 exp3t10 expgt10 physdis occmgr occprof occtech occserve 
           occskill occunskl occclerk es hiurate lowurate
           gorzow konin lublin katowice krakow olsztyn poznan radom;
    title 'Rectype B, Other Derived Variables';


  proc means data=temp1;
    var duration male female age agelt30 age3044 agege45 edelem edvoc edvoc1 
        edvoc2 edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu 
        exp0 exple3 expgt3 exp3t10 expgt10 physdis occmgr occprof occtech occserve 
        occskill occunskl occclerk earnpre1 es hiurate lowurate
        gorzow konin lublin katowice krakow olsztyn poznan radom;
    title 'Rectype B, Other Derived Variables';




data temp2;
  set public;
    if rectype='C';

  proc freq data=temp2;
    tables rectype voivod program1 alp reg1 reg2 sex educ priorsit earn2 
           lastwork jobcode disable zuslevel esreg unem0194 unem0294 
           unem0395 unem1296 inter program compay2 compay3 compay6 
           ucjan94 ucnow reason;
    title 'Rectype C, Registry Variables';

  proc freq data=temp2;
    tables newjob_t pubemp service1 service2 service3 service4 service5 
           service6 service7 jobdesc skvalue empnow main0195 main0295 
           main0196 main1296 earn2 earn4 notwhy benefits hhsize spouse 
           spousemp otheremp depend1 depend2 lookwork earn6;
    title 'Rectype C, Survey Variables';

  proc means data=temp2;
    title1 "RECTYPE C: Survey Continuous Variables";
    var earn1 earn3 hhsize otheremp depend1 depend2 lookwork earn5;

  proc freq data=temp2;
    tables empnorm empany empnown empnowa unmonths emmonths ucmonths 
           durreg duralp; 
    title 'Rectype C, Outcome Variables';

  proc means data=temp2;
    var empnorm empany empnown empnowa earnnow emmonths unmonths
        ucmonths ucpay durreg duralp; 
    title 'Rectype C, Outcome Variables';

  proc freq data=temp2;
    tables duration male female age agelt30 age3044 agege45 edelem edvoc edvoc1 edvoc2 
           edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu 
           exp0 exple3 expgt3 physdis occmgr occprof occtech occserve 
           occskill occunskl occclerk es hiurate lowurate
           gorzow konin lublin katowice krakow olsztyn poznan radom
           adulted organ other public private;
    title 'Rectype C, Other Derived Variables';

  proc means data=temp2;
    var duration male female age agelt30 age3044 agege45 edelem edvoc edvoc1 edvoc2 
        edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu 
        exp0 exple3 expgt3 physdis occmgr occprof occtech occserve 
        occskill occunskl occclerk earnpre1 es hiurate lowurate
        gorzow konin lublin katowice krakow olsztyn poznan radom
        adulted organ other public private;
    title 'Rectype C, Other Derived Variables';


data temp3;
  set public;
    if rectype='D';

  proc freq data=temp3;
    tables rectype voivod program1 alp reg1 reg2 sex educ priorsit earn2 
           lastwork jobcode disable zuslevel esreg unem0194 unem0294 
           unem0395 unem1296 inter program compay2 compay3 compay6 
           ucjan94 ucnow reason;
    title 'Rectype D, Registry Variables';

  proc freq data=temp3;
    tables main0195 main1295 main1296 emppub retain stillemp earning2 
           newjob pubemp service1 service2 service3 service4 service5 
           service6 service7 empnow earn2 earn4 notwhy benefits hhsize 
           spouse spousemp otheremp depend1 depend2 lookwork earn6;
    title 'Rectype D, Survey Variables';

  proc means data=temp3;
    title1 "RECTYPE D: Survey Continuous Variables";
    var earning1 earn1 earn3 hhsize otheremp depend1 depend2 lookwork earn5;

  proc freq data=temp3;
    tables empnorm empany empnown empnowa unmonths emmonths ucmonths 
           durreg duralp; 
    title 'Rectype D, Outcome Variables';

  proc means data=temp3;
    var empnorm empany empnown empnowa earnnow emmonths unmonths
        ucmonths ucpay durreg duralp; 
    title 'Rectype D, Outcome Variables';

  proc freq data=temp3;
    tables duration male female age agelt30 age3044 agege45 edelem edvoc edvoc1 edvoc2 
           edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu 
           exp0 exple3 exp3t10 expgt10 physdis occmgr occprof occtech occserve 
           occskill occunskl occclerk es hiurate lowurate
           gorzow konin lublin katowice krakow olsztyn poznan radom
           natadmin other public private;
    title 'Rectype D, Other Derived Variables';


  proc means data=temp3;
    var duration male female age agelt30 age3044 agege45 edelem edvoc edvoc1 edvoc2 
        edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu 
        exp0 exple3 exp3t10 expgt10 physdis occmgr occprof occtech occserve 
        occskill occunskl occclerk earnpre1 es hiurate lowurate
        gorzow konin lublin katowice krakow olsztyn poznan radom
        natadmin other public private;
    title 'Rectype D, Other Derived Variables';





data temp4;
  set public;
    if rectype='E';

  proc freq data=temp4;
    tables rectype voivod program1 alp reg1 reg2 sex educ priorsit earn2 
           lastwork jobcode disable zuslevel esreg unem0194 unem0294 
           unem0395 unem1296 inter program compay2 compay3 compay6 
           ucjan94 ucnow reason;
    title 'Rectype E, Registry Variables';

  proc freq data=temp4;
    tables main0195 main1295 main1296 empiw retain stillemp earning2 
           newjob pubemp service1 service2 service3 service4 service5 
           service6 service7 empnow earn2 earn4 notwhy benefits 
           hhsize spouse spousemp otheremp depend1 depend2 lookwork 
           earn6; 
    title 'Rectype E, Survey Variables';

  proc means data=temp4;
    title1 "RECTYPE E: Survey Continuous Variables";
    var earning1 earn1 earn3 hhsize otheremp depend1 depend2 lookwork earn5;

  proc freq data=temp4;
    tables empnorm empany empnown empnowa unmonths emmonths ucmonths 
           durreg duralp; 
    title 'Rectype E, Outcome Variables';

  proc means data=temp4;
    var empnorm empany empnown empnowa earnnow emmonths unmonths
        ucmonths ucpay durreg duralp; 
    title 'Rectype E, Outcome Variables';

  proc freq data=temp4;
    tables duration male female age agelt30 age3044 agege45 edelem edvoc edvoc1 edvoc2 
           edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu 
           exp0 exple3 expgt3 physdis occmgr occprof occtech occserve 
           occskill occunskl occclerk es hiurate lowurate
           gorzow konin lublin katowice krakow olsztyn poznan radom
           natadmin activity other public private;
    title 'Rectype E, Other Derived Variables';


  proc means data=temp4;
    var duration male female age agelt30 age3044 agege45 edelem edvoc edvoc1 edvoc2 
        edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu 
        exp0 exple3 expgt3 physdis occmgr occprof occtech occserve 
        occskill occunskl occclerk earnpre1 es hiurate lowurate
        gorzow konin lublin katowice krakow olsztyn poznan radom
        natadmin activity other public private;
    title 'Rectype E, Other Derived Variables';



data temp5;
  set public;
    if rectype='F';

  proc freq data=temp5;
    tables rectype voivod program1 alp reg1 reg2 sex educ priorsit earn2 
           lastwork jobcode disable zuslevel esreg unem0194 unem0294 
           unem0395 unem1296 inter program compay2 compay3 compay6 
           ucjan94 ucnow reason;
    title 'Rectype F, Registry Variables';

  proc freq data=temp5;
    tables continue same employ1 ownmoney prospect value started1 
           started2 main0195 main1295 main1296 service1 service2 
           service3 service4 service5 service6 service7 pubemp earn2 
           earn4 notwhy benefits hhsize spouse spousemp otheremp 
           depend1 depend2 lookwork earn6;
    title 'Rectype F, Survey Variables';

  proc means data=temp5;
    title1 "RECTYPE F: Survey Continuous Variables";
    var employ2 employ3 prospct2 earn1 earn3 hhsize otheremp depend1 depend2 lookwork earn5;

  proc freq data=temp5;
    tables empnorm empany empnown empnowa unmonths emmonths ucmonths ;
    title 'Rectype F, Outcome Variables';

  proc means data=temp5;
    var empnorm empany empnown empnowa earnnow emmonths unmonths
        ucmonths ucpay durreg duralp; 
    title 'Rectype F, Outcome Variables';

  proc freq data=temp5;
    tables duration loanpay male female age agelt30 age3044 agege45 edelem edvoc edvoc1 edvoc2 
           edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu u_se nonu_se
           exp0 exple3 exp3t10 expgt10 physdis occmgr occprof occtech occserve 
           occskill occunskl occclerk es hiurate lowurate
           gorzow konin lublin katowice krakow olsztyn poznan radom
           natadmin other missing services trade manu public private;
    title 'Rectype F, Other Derived Variables';



  proc means data=temp5;
    var duration loanpay male female age agelt30 age3044 agege45 edelem edvoc edvoc1 edvoc2 
        edgym edcoll whitecol bluecol otherocc volun nonvol ltu nonltu u_se nonu_se
        exp0 exple3 exp3t10 expgt10 physdis occmgr occprof occtech occserve 
        occskill occunskl occclerk earnpre1 es hiurate lowurate
        gorzow konin lublin katowice krakow olsztyn poznan radom
        natadmin other missing services trade manu public private;
    title 'Rectype F, Other Derived Variables';

